#!/bin/bash
YEAR=`date "+%Y"`
# make label
echo -n "make WEB label ... "
lualatex "\def\WEB{web} \input texcoll-label" >/dev/null
#gs -sDEVICE=pdfwrite -sProcessColorModel=DeviceGray -sColorConversionStrategy=Gray \
#   -dOverrideICC -o TCLabel$YEAR-web.pdf -f texcoll-label.pdf >/dev/null
pdfcrop texcoll-label > /dev/null
#mv texcoll-label-crop.pdf TCLabel$YEAR-web.pdf
#cp texcoll-label.pdf TCLabel$YEAR-bw.pdf
pdftoppm texcoll-label.pdf > texcoll-label.ppm
convert texcoll-label.ppm TCLabel$YEAR-web.png
rm -f texcoll-label.ppm texcoll-label.pdf TCLabel$YEAR-web.pdf
echo " done"
#
echo -n "make DVD label ... "
lualatex "\def\WEB{} \input texcoll-label" >/dev/null
cp texcoll-label.pdf TCLabel$YEAR.pdf
echo " done"
#
# make cover
echo -n "make WEB and DVD cover ... "
lualatex "\def\WEB{} \input texcoll-cover" >/dev/null
cp texcoll-cover.pdf TCCover$YEAR.pdf
gs -sDEVICE=pdfwrite -sProcessColorModel=DeviceGray -sColorConversionStrategy=Gray \
   -dOverrideICC -o texcoll-cover-gray.pdf -f texcoll-cover.pdf >/dev/null
convert -density 300 -crop 1476x1476+1655+179 texcoll-cover-gray.pdf TCCover$YEAR-web.png
rm -f texcoll-cover-gray.pdf
echo " done"
#
#echo -n "make DVD cover ... "
#lualatex "\def\WEB{} \input texcoll-cover" >/dev/null
#convert  -density 300 -crop 1476x1476+1655+179 texcoll-cover.pdf texcoll-cover.png
#cp texcoll-cover.pdf TCCover$YEAR.pdf
#echo " done"
#
rm -f *.aux *.log 
#
# copy to my account if running on my machine
myNODE=`uname -n`
if [ $myNODE == "iMac.fritz.box" ]; 
then
  echo -n "copying files ... "
  scp TCCover$YEAR.pdf zedat:public_html/ >/dev/null
  scp TCLabel$YEAR.pdf zedat:public_html/ >/dev/null
  echo " all done"
fi

exit 0

# hv 2020-05-10